import { BasicFlowVisitor, ScalarsMap } from 'graphql-codegen-flow';
import { ObjectTypeDefinitionNode, FieldDefinitionNode, NameNode, ListTypeNode, NonNullTypeNode, NamedTypeNode, InterfaceTypeDefinitionNode, UnionTypeDefinitionNode, ScalarTypeDefinitionNode, DirectiveDefinitionNode } from 'graphql/language/ast';
import { FlowResolversPluginConfig } from './index';
import { GraphQLSchema } from 'graphql';
export interface ParsedConfig {
    scalars: ScalarsMap;
    convert: (str: string) => string;
    typesPrefix: string;
    contextType: string;
    mapping: {
        [typeName: string]: string;
    };
    useFlowExactObjects: boolean;
    useFlowReadOnlyTypes: boolean;
}
export declare class FlowResolversVisitor implements BasicFlowVisitor {
    private _schema;
    private _parsedConfig;
    private _collectedResolvers;
    constructor(pluginConfig: FlowResolversPluginConfig, _schema: GraphQLSchema);
    readonly scalars: ScalarsMap;
    convertName(name: any, addPrefix?: boolean): string;
    readonly rootResolver: string;
    Name: (node: NameNode) => string;
    ListType: (node: ListTypeNode) => string;
    NamedType: (node: NamedTypeNode) => string;
    NonNullType: (node: NonNullTypeNode) => string;
    FieldDefinition: (node: FieldDefinitionNode, key: any, parent: any) => (parentName: any) => string;
    ObjectTypeDefinition: (node: ObjectTypeDefinitionNode) => string;
    UnionTypeDefinition: (node: UnionTypeDefinitionNode) => string;
    ScalarTypeDefinition: (node: ScalarTypeDefinitionNode) => string;
    DirectiveDefinition: (node: DirectiveDefinitionNode) => string;
    InterfaceTypeDefinition: (node: InterfaceTypeDefinitionNode) => string;
}
